## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures
Class TableFrameBorder

    java.lang.Object
      org.eclipse.draw2d.AbstractBorder
          org.eclipse.draw2d.CompoundBorder
              org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures.TableFrameBorder

All Implemented Interfaces:
  org.eclipse.draw2d.Border, org.eclipse.draw2d.LabeledBorder

    public class TableFrameBorder

extends org.eclipse.draw2d.CompoundBorder
implements org.eclipse.draw2d.LabeledBorder

Constructor Summary
`TableFrameBorder()`

Method Summary
`java.lang.String` `getLabel()`
`void` `setFont(org.eclipse.swt.graphics.Font f)`
`void` `setLabel(java.lang.String s)`

Methods inherited from class org.eclipse.draw2d.CompoundBorder
`getInnerBorder, getInsets, getOuterBorder, getPreferredSize, isOpaque, paint`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.Border
`getInsets, getPreferredSize, isOpaque, paint`

Constructor Detail

### TableFrameBorder

    public TableFrameBorder()

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `org.eclipse.draw2d.LabeledBorder`

### setFont

    public void setFont(org.eclipse.swt.graphics.Font f)

  Specified by:
    `setFont` in interface `org.eclipse.draw2d.LabeledBorder`

### setLabel

    public void setLabel(java.lang.String s)

  Specified by:
    `setLabel` in interface `org.eclipse.draw2d.LabeledBorder`